package com.kcim.common.enums;

public enum ResponseCodeEnum {
    SUCCESS("SUCCESS", "返回成功"),

    ILLEGAL_ARGUMENT("400", "参数校验失败"),

    FAIL("500", "返回失败"),

    ERROR("ERROR", "系统异常"),

    DATABASE_ERROR("999", "数据库错误"),

    TOKEN_INVALID("403", "认证失败"),

    PERMISSION_NULL("402", "未选择角色"),

    ;

    private final String code;

    private final String message;

    ResponseCodeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

}
